package demo;

import java.applet.Applet;
import java.awt.event.*;
import java.awt.*;

/**
* Hlavn tda programu SimpleDraw.
* @author Petr Toman
* @version JDK 1.1
*/
public class SimpleDraw extends java.applet.Applet {
   /**
   * Metoda init() se vol, je-li program sputn jako applet.
   * @see java.awt.Frame
   * @see java.awt.Button
   * @see java.awt.Canvas
   */
   public void init() {
      // vytvoen pltna - plochy pro kreslen
      PaintCanvas paintCanvas = new PaintCanvas();

      // vytvoen tlatka s npisem "Clear"
      Button button = new Button("Clear");

      // registrace pltna jako pjemce udlosti pi stisku tlatka
      button.addActionListener(paintCanvas);

      // nastaven layout manageru
      setLayout(new BorderLayout());

      // vloen pltna a tlatka "Clear" do appletu-kontejneru
      add(paintCanvas, "North");
      add(button, "South");
   }

   /**
   * Metoda main() se vol, je-li program sputn jako aplikace.
   * Provd tot, co init() , pouze nejprve vytvo okno (frame),
   * do kterho umisuje komponenty.
   * @param args parametry pkazov dky (nepouito)
   */
   public static void main(String[] args) {
      Frame frame = new Frame("SimpleDraw");
      PaintCanvas paintCanvas = new PaintCanvas();
      Button button = new Button("Clear");

      button.addActionListener(paintCanvas);
      frame.add(paintCanvas, "North");
      frame.add(button, "South");
      frame.pack();
      frame.show();
   }
}
